#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARMv732NEON"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM"
#define ATL_DKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=4194304 -I/builddir/build/BUILD/ATLAS/arm_base/include -I/builddir/build/BUILD/ATLAS/arm_base/..//include -I/builddir/build/BUILD/ATLAS/arm_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM -DWALL -DATL_NCPU=2 -O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-mcpu=cortex-a8 -mfpu=neon -mfloat-abi=hard -O -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_SKCVERS "gcc (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_DMCVERS "gcc (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_SMCVERS "gcc (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_ICCVERS "gcc (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_F77VERS "GNU Fortran (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)"
#define ATL_SYSINFO "Linux arm02-builder19.arm.fedoraproject.org 4.0.4-202.fc21.armv7hl #1 SMP Wed May 27 22:34:00 UTC 2015 armv7l armv7l armv7l GNU/Linux"
#define ATL_DATE    "Thu Jul  9 08:56:38 UTC 2015"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.2"

#endif
